<?php
/**
 * 报表基础类
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: lilong/wangzhenya 2018-05-24 $
 */
namespace app\crm\lib;
use think\Controller;

abstract class Report extends Controller{
    // 获取报表级别（集团1，事业部2，员工3,4）
    abstract function getLevel();
    // 获取报表类型（电商1，网销3，渠道/深挖4）
    abstract function getType();
    //权限
    abstract function getCode();
    // 输出报表页面
    abstract function show();
    // 根据条件返回报表数据
    abstract function data();
}